/*
 File: test_called_thd_fs.cpp
 Date and Time: Mon Oct 13 18:18:16 2014 
*/
#include "test_called_thd_fs.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_test_called_thd_fs;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 7;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[4] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[5] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[6] =  new Per_rule_s_reuse_table();
}
  Ctest_called_thd_fs::
  Ctest_called_thd_fs()
    :yacco2::CAbs_fsm
      ("test_called_thd_fs.lex"
      ,"1.0"
      ,"25 Mar 2008"
      ,true
      ,"test the transience"
      ,"Mon Oct 13 18:18:16 2014 "
      ,S1_Ctest_called_thd_fs){
    
  }
 
Ctest_called_thd_fs::~Ctest_called_thd_fs(){

  for(int x = 0;x < 7;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Ctest_called_thd_fs::failed(){
      return false;
  }
  void Ctest_called_thd_fs::op(){
}
int Ctest_called_thd_fs::rhs_to_rules_mapping_[13] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,2 // subrule 4 for rule 3
 ,2 // subrule 5 for rule 3
 ,3 // subrule 6 for rule 4
 ,3 // subrule 7 for rule 4
 ,4 // subrule 8 for rule 5
 ,4 // subrule 9 for rule 5
 ,5 // subrule 10 for rule 6
 ,5 // subrule 11 for rule 6
 ,6 // subrule 12 for rule 7
}; 
RSt::RSt(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RSt",0,Ctest_called_thd_fs::R_RSt_,P,true,true){
}

RS::RS(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS",0,Ctest_called_thd_fs::R_RS_,P,false,false){
}

Ra::Ra(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Ra",0,Ctest_called_thd_fs::R_Ra_,P,false,false){
}

Rb::Rb(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rb",0,Ctest_called_thd_fs::R_Rb_,P,false,false){
}

Rc::Rc(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rc",0,Ctest_called_thd_fs::R_Rc_,P,false,false){
}

Rd::Rd(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rd",0,Ctest_called_thd_fs::R_Rd_,P,false,false){
}

Re::Re(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Re",0,Ctest_called_thd_fs::R_Re_,P,false,false){
}

